HOME | ドキュメント |  ブログ  |  BBS  |  瓦版  | 将棋プロジェクト |  物置小屋   

ドキュメント 象歩 Web瓦版
 BBSボード RDF
こんにちは (23)
おためし板 (321)
質問箱 (94)
テスト (0)
建築 DIY (7)
MTB (34)
(13)
節電対策 (2)
このサイトに関する話 (182)
Linux (396)
PC用ハードウェア (10)
Vine Linux 野良系 (68)
PC 工作 (31)
BBS の改良 (105)
Vine Seed (520)
Zope とプロダクト (95)
Web の利用技術 (131)
DB とファイルシステム (63)
Python と C/C++ と... (29)
Zopeプロダクト開発メモ (3)
UTF-8 化 (42)
Mail 環境 (8)
COREBlog (109)
Zope3 (51)
Windows 64bit (18)
Mac (2)
Squeak スクイーク (67)
Django ぶらり一人旅 (3)
64bits (52)
Mono 思いにふける (13)
ディスクトップ (4)
象歩将棋 (477)
将棋よもやま (207)
サイトのデザイン (31)
心配な話 (67)
うそ (22)
昔のゲストブック (20)
ボート部 (95)
鶴南六組 (2)
Web 日記 (202)
 スパム
逮捕しる (0)
スパムお溜り (7)
ごみ箱 (13)
 リンク
kiyoさんのサイト
ペンタ郎の漫漕ブログ
TIT漕艇部の練習動画 @YouTube
墨堤の雄 @FaceBook
ペンタ(五大学ミドル) @FaceBook
Facebook
Vine Seed パッケージビルド状況
Vine Linux パッケージ情報
VineLinux バグトラッキングセンタ
VineSeed 開発用 Trac
VineSeed Specs
RPMパッケージの作成方法
Linux Standard Base
Planet Vine
Vine Linux ユーザーフォーラム
Vine Users ML アーカイブ
VineSeed ML アーカイブ
twitter#VineLinux
勝手に将棋トピックス
詰将棋おもちゃ箱

Vine Seed

Vineの開発版を中心とした話をしたいと思います。 と云いながら最近は x86_64 関連しか興味が無かったりします。 当ボードは Project Vine とは一切関係ありません。


230  owa  2005/03/31 13:26 id: mJs8kxp1Zus  prob: 0.3%
>>228 あれじゃーわからないよなー
でも効果があったようで、gnome 立ち上げ時の XKB エラーは直ったようです^^
control-center-2.10.0-0vl4
229  owa  2005/03/30 19:23 id: mJs8kxp1Zus  prob: 0.5%
>>228
今しがた apt-get したら console-tools control-center eog gedit libbonobo libbonobo-devel が更新されました。直ってるかと思って gnome をリスタートしたけど変わり
ません。一回だけ 「X11 の設定を上書きしますか」とか云うパネルが出たけど?

$ gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd の結果は
 layouts = [jp]
 model = jp106
 overrideSettings = false
 options = []
の場合と
 layouts = [us]
 model = pc105
 overrideSettings = true
 options = []
 update_handlers = []
の場合があったけど、何度も繰り返したら出力されなくなりました。gnome は知らないのでスマソ;;

デスクトップ→設定→キーボード で "gnome-settings-daemon" はやはり立ち上がりません。
なお、現在は xorg.conf で XKB は有効にしてあります。(つまり XKBdisable をコメント化)
228  hoihoi-p  2005/03/30 14:52 id: f4EbtcS9oVc  prob: 0.0%
>>226:アプリケーション "gnome-settings-daemon" は突然終了しました。
うちでも、同様です。
あと、追加したパネルの挙動が変。(数十分放置プレイすると、直ることも有るような。)

# VineSeed-ML に、流したけど、あれじゃーわからないよなー。
227  owa  2005/03/30 01:07 id: mJs8kxp1Zus  prob: 0.0%
rpm のバージョン順位の話なんですが rpmver と rpm じゃ違うと思う。
この前うちで firefox-1.0.2-uvl1 出したけど seed の firefox-1.0.2-0vl1 で上書きされました。

試しに rpmver で検査してみると
$ rpmver -v firefox-1.0.2-uvl1 firefox-1.0.2-0vl1
RPM version firefox-1.0.2-uvl1 is lesser than version firefox-1.0.2-0vl1.

それではと、
$ rpmver -v firefox-1.0.2-0vl1 firefox-1.0.2-uvl1
RPM version firefox-1.0.2-0vl1 is lesser than version firefox-1.0.2-uvl1.
などと判定が逆になります。なんで?... きっと私の勘違いでしょう;; 疲れ過ぎ;;

追記: なんか変なこと書いてますね、消さずに置きます。今晩にでも調べよう。
226  owa  2005/03/29 23:37 id: mJs8kxp1Zus  prob: 0.0%
セカンドマシンに gnome-2.10.0 を入れて見る
こちらのマシンは seed 純正品? (python は 2.3.5, kde 関連は削除した)

# apt-get update; apt-get dist-upgrade
| 書き込み可能な設定ソースに対するアドレス "xml::/etc/gconf/gconf.xml.defaults" (0
行目) を解決しました
... snip ...
| 警告: デフォルト値 '(??????-?,???????)' (スキーマは /schemas/apps/gnome-terminal/global/active_encodings) の解析に失敗しました
... snip ...
| I/O warning : faild to load external entity "/etc/gconf/schemas/yelp.schemas"
[Invalid UTF-8] '/etc/gconf/schemas/yelp.schemas' \xe3\x81\x8c\xe9\x96\x8b\xe3 ...
などと警告エラーが出ましたが完了。
#225 との違いは libexif と nautilus-cd-buner が追加されたことくらい

gnome 立ち上げるとやはり XKB 関連のエラーダイアログが出る。今度は運よくマウス使って閉じることができた。
/etc/X11/xorg.conf を修正。 XKB を disable にして再度立ち上げる。
「アプリケーション "gnome-settings-daemon" は突然終了しました。」なんてダイアログが出たけど「閉じる」
う〜ん gnome 自体は動いてるようです。メインマシンが死んだのはやはり python
2.4 関連な気がします。

骨折り損のくたびれもうけ、出直します;;
225  owa  2005/03/29 22:45 id: mJs8kxp1Zus  prob: 0.0%
gnome-2.10.0-0vl2 入れて X11 起動したらマシンが死んだ;;
下記ダイアログ表示して死にました。 ^C+Alt+BS も ^C+Alt+F2 も効きません。外からも入れません。しょうがないのでリセットボタンを押しました。確かに XKB の設定は有効になってますが、原因はそのせいではなさそう。

-------------------------------------------------------------------------
| XKB の設定を有効にする際にエラーが発生しました。
| この問題は、いろいろな状況に依存していると思われます:
| - ライブラリ libxklavier のバグ 
| - X サーバのバグ (xkbcomp,xmodmap コマンド)
| - 実装で互換性のないライブラリ libxkbfile を使った X サーバ
|
| X サーバのバージョン情報 
| The X.Org Foundation
| 60802000
|
| この状態をバグとして報告する場合は、次の結果も追記して下さい。
| - <b>xprof -root | grep XKB</b> の出力
| - <b>gconftool-2 -R /desktop/gnome/peripherals/keyboard/kbd</b> の出力
-------------------------------------------------------------------------
python-2.4 を入れてるせいだろうか? gnome ツールが python に依存してるのは知ってるけど、WM
起動段階でのパニックはまずい。メインで使うマシンなので「リセットボタン押さないといけない状態」には二度としたくありません。しばらく様子見かな (T.T)
224  owa  2005/03/27 23:27 id: mJs8kxp1Zus  prob: 0.0%
>>223
やっぱり rpm 晒して置くのは危険なので python 2.4 は一旦凍結しました
ftp://owa.as.wakwak.ne.jp/pub/Vine/VineSeed/TestPkg/Python2....
ダウンロード出来ないようにしました。python 2.4.1 リリースはまだだし、seed
では gnome と kde 間で設定の調整が必要なようなので暫くは休戦します。暇見てボチボチやっときます。
223  owa  2005/03/21 21:39 id: mJs8kxp1Zus  prob: 0.0%
悪魔の囁きが聞こえたので、メインマシンに python-2.4.1c2 を入れました。
python ライブラリ関連のリビルドが必要でしたが、zope-2.7.5 でも特に問題なさそうです。rotor は既に使われてないようです (ソース追ってないので嘘かもしれませんが、zope のログにはエラー出ていません)。下記にリビルド
したもの置きました。テスト版ですので他の階層の rpm と混ぜると危険です :-p
ftp://owa.as.wakwak.ne.jp/pub/Vine/VineSeed/TestPkg/Python2....

python 2.4.1 の正式リリースは 3/29 あたりらしいので seed に put しようと思います。
http://www.python.org/2.4.1/
ただ同時にリビルドしないといけない rpm 多いのでどうしようかと。まあ十個くらいなら自分でリビルドして同時に upload してもたいした手間では無いので OK。問題は /usr/lib/python2.3 に直リンクしてるパッケージがあ
ることなのです。なんとかならんものか。ただ私は良いアイディア持ってません。
http://www.python.jp/pipermail/python-ml-jp/2002-August/0017...
こう云うのは gentoo linux あたりだと解決されてるのでしょうか?
http://www.gentoo.gr.jp/

ところで vine の場合 lib/python*/site-packages の下が汚くなってきてるので、私は次のルールにしようと思います。
1. 単独で使用する python プログラムは /usr/bin および /usr/lib の下にインストール
2. python の共用ライブラリあつかいで *.so 一個のものは site-packages の下にそのまま置く。
3. python の共用ライブラリあつかいで、複数ファイルになるものはディレクトリをこしらえて、その下に置く。
あー汚してる犯人は私です;;

追伸: gentoo では PYTHON_SLOT_VERSION などというものを定義しているらしい。
http://ebuild.gentoo.gr.jp/view.php?v_num=all&cat=dev-python...
222  owa  2005/03/13 00:25 id: mJs8kxp1Zus  prob: 0.0%
python-2.4 のパッケージ作ろうとしての問題です。今まで調べていたものを書き残して置きます。もう少し確認する時間がとれたら seed-ml に投稿するつもりです。

1.python-1.5.x 対応は止めにする
スペックファイル読む時 %{aspython2} での分岐が繁雑です。!%{aspython2} なんてのもあるし間違いの元。禍根は今のうちに絶っておきたい。

2. /usr/lib/python2.x 参照はバージョンアップの障害になってるので止めたい
これって、いろんなパッケージがダイレクトに lib/python2.3 をリンクしてます。python
がマイナアップするたび書き換えなくてはいけません。これは現実的に書き換えるのが大変です。順次 lib/python または lib/python2 などのシンボリックリンク参照にするべきだと考えてます。python-3 のこと考えると li
b/python2 も必要かなと思っています。

これ以降はたぶん vine 固有の話です
3. idle 起動用シェルスクリプトは 2.4 からオリジナルにあるので、それを使うようにする
4. modulator, pynche シェルスクリプトはバージョンが変わるたびに修正が必要なので
spec 内に組み込む
5. japanese-codecs 関連は CJKCodecs が組み込まれたので削除する
6. shmmodule.c は本家サイトが消滅したので孤児ソースになった。どうする? (とりあえずそのまま)
7. python-2.2b1-buildroot.patch, python-2.2-no_ndbm.patch は不要なので削除
8. python-2.2.2-urllib2-nonanonftp.patch, python-2.2.2-ftpuri.patch はオリジナルに組込済みなので削除
9. Python-2.3.3-buildroot-bytecode.patch は不要になったような (ビルドに問題ない) ので削除?

10. python-2.3.3-config2.patch (Modules/Setup.dist) は良く判らないのですが
- regex モジュール (推奨されないもの) を追加してる箇所は削除
- BLT2.4 ライブラリ (Vine-3.1 に無いもの) を追加してる箇所は削除
+ (なぜか無視されてる) pyexpat を追加する
+ (2.4 で新規に追加された) _multibytecodec を追加する

これは zope の問題
11. puthon-2.4 で廃止になった rotormodule は別パッケージとして追加する。

御意見あれば投稿ください。
221  hoihoi-p  2005/02/24 02:19 id: f4EbtcS9oVc  prob: 0.0%
>>220: Sylpheed のフォントについて作者の山本さん自らの投稿ありました。

http://hoihoi-p.fzug.com/blog/47#comments

ほぼ同じ時間に、同じような事やってたような。 
(ん? post 時間が2時間半ほど早い。 おくれてしまった。  ^ ^; )

1.9.3 いいなー。 http アドレスは自動リンクが張られて、前のように、事前に行選択するか、
プロトコル部分をダブるクリックしなくて良いし。  (つまらない事だけど、うれしい。)

1.9.3 に、乗り換えたのは正解だったかなー。